
%%                                                     DiVA example plot B

%                                                Fabio Crameri, 22.11.2019

clear

figure(1), clf

x = 0:10;
y = x.^2*pi +3*x;
plot(x,y)
grid on
title('A title')
xlabel('An axis label [years]')
ylabel('An axis label [km]')


%% Adjust DiVA
STYLE.AllFontName           =   'Helvetica';
STYLE.FontSize              =   11;
STYLE.titleFontSize         =   23;
STYLE.keyColor              =   [0.3 0.3 0.3];
STYLE.annotationColor       =   [0.1 0.1 0.1];
STYLE.labelFontWeight       =   'bold';
SWITCH.PlotDesign           =   logical(1);
STYLE.Mode                  =   'Custom';           %'Custom': adjustable plot design | 'Nature','Science','EGU','AGU','Frontiers': preset plot design

SWITCH.Annotation           =   logical(1);
    PLOT.annotationString       =   {'a' 'b' 'c' 'd' 'e' 'f' 'g' 'h' 'i' 'j' 'k' 'l' 'm' 'n' 'o' 'p'};
    PLOT.annIfMoreThanOne       =   false;
SWITCH.BackgroundDesign     =   logical(1);
SWITCH.LegendDesign         =   logical(1);

SAVE.Plot                   =   logical(0);         %saves plot directly to directory
    SAVE.png                    =   logical(1);         SAVE.pngResolution = '-m4.5';
    SAVE.jpg                    =   logical(0);
    SAVE.eps                    =   logical(0);
    SAVE.pdf                    =   logical(0);
    SAVE.overwrite              =   logical(0);
    SAVE.TransparentBackground  =   logical(1);
    SAVE.Directory              =   './';           %'./': save to current folder; otherwise use e.g., '/directory/subdirectory/'


%% Call DiVA
DiVA(STYLE,SWITCH,PLOT,SAVE);


